LINUX.ORG.RU

Ставлю dolphin

 ,


0

1

Хочу поставить себе Дельфина, но:

The following extra packages will be installed:
  docbook-xml docbook-xsl gstreamer0.10-alsa gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-pulseaudio gstreamer0.10-x icoutils kate-data katepart kde-runtime kde-runtime-data kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdoctools kubuntu-debug-installer libattica0.3 libcanberra-pulse libclucene0ldbl libdbusmenu-qt2 libdlrestrictions1 libdv4 libexiv2-11 libglu1-mesa libiec61883-0 libimobiledevice2 libkatepartinterfaces4
  libkcmutils4 libkde3support4 libkdeclarative5 libkdecore5 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkfile4 libkhtml5 libkidletime4 libkio5 libkjsapi4 libkjsembed4 libkmediaplayer4 libknewstuff3-4
  libknotifyconfig4 libkntlm4 libkonq-common libkonq5-templates libkonq5abi1 libkparts4 libkpty4 libkrosscore4 libktexteditor4 libnepomuk4 libnepomukdatamanagement4 libnepomukquery4a libnepomuksync4 libnepomukutils4
  libnl-route-3-200 libntrack-qt4-1 libntrack0 libphonon4 libplasma3 libplist1 libpolkit-qt-1-1 libpulse-mainloop-glib0 libpulsedsp libqapt-runtime libqapt1 libqca2 libqt4-designer libqt4-qt3support libqtwebkit4 libsolid4
  libsoprano4 libsoup-gnome2.4-1 libssh-4 libstreamanalyzer0 libstreams0 libthreadweaver4 libupower-glib1 libusbmuxd1 libutempter0 libvirtodbc0 libvisual-0.4-0 libvisual-0.4-plugins libxml2-utils ntrack-module-libnl-0 odbcinst
  odbcinst1debian2 oxygen-icon-theme phonon phonon-backend-gstreamer plasma-scriptengine-javascript pm-utils pulseaudio pulseaudio-module-x11 pulseaudio-utils qapt-batch rtkit sgml-data shared-desktop-ontologies soprano-daemon
  upower usbmuxd vbetool virtuoso-minimal virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common
Suggested packages:
  docbook docbook-dsssl docbook-defguide docbook-xsl-doc-html docbook-xsl-doc-pdf docbook-xsl-doc-text docbook-xsl-doc libsaxon-java libxalan2-java libxslthl-java docbook-xsl-saxon fop xalan dbtoepub kdesdk-dolphin-plugins kfind
  ruby konsole kompare libterm-readline-gnu-perl libterm-readline-perl-perl djvulibre-bin finger libdv-bin oss-compat exiv2 hspell libqca2-plugin-cyrus-sasl libqca2-plugin-gnupg libqca2-plugin-ossl phonon-backend-vlc
  phonon-backend-xine phonon-backend-mplayer gstreamer0.10-plugins-ugly cpufrequtils ethtool radeontool pavumeter paman paprefs pulseaudio-module-raop pulseaudio-esound-compat perlsgml doc-html-w3 opensp
The following NEW packages will be installed:
  docbook-xml docbook-xsl dolphin gstreamer0.10-alsa gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-pulseaudio gstreamer0.10-x icoutils kate-data katepart kde-runtime kde-runtime-data kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdoctools kubuntu-debug-installer libattica0.3 libcanberra-pulse libclucene0ldbl libdbusmenu-qt2 libdlrestrictions1 libdv4 libexiv2-11 libglu1-mesa libiec61883-0 libimobiledevice2 libkatepartinterfaces4
  libkcmutils4 libkde3support4 libkdeclarative5 libkdecore5 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkfile4 libkhtml5 libkidletime4 libkio5 libkjsapi4 libkjsembed4 libkmediaplayer4 libknewstuff3-4
  libknotifyconfig4 libkntlm4 libkonq-common libkonq5-templates libkonq5abi1 libkparts4 libkpty4 libkrosscore4 libktexteditor4 libnepomuk4 libnepomukdatamanagement4 libnepomukquery4a libnepomuksync4 libnepomukutils4
  libnl-route-3-200 libntrack-qt4-1 libntrack0 libphonon4 libplasma3 libplist1 libpolkit-qt-1-1 libpulse-mainloop-glib0 libpulsedsp libqapt-runtime libqapt1 libqca2 libqt4-designer libqt4-qt3support libqtwebkit4 libsolid4
  libsoprano4 libsoup-gnome2.4-1 libssh-4 libstreamanalyzer0 libstreams0 libthreadweaver4 libupower-glib1 libusbmuxd1 libutempter0 libvirtodbc0 libvisual-0.4-0 libvisual-0.4-plugins libxml2-utils ntrack-module-libnl-0 odbcinst
  odbcinst1debian2 oxygen-icon-theme phonon phonon-backend-gstreamer plasma-scriptengine-javascript pm-utils pulseaudio pulseaudio-module-x11 pulseaudio-utils qapt-batch rtkit sgml-data shared-desktop-ontologies soprano-daemon
  upower usbmuxd vbetool virtuoso-minimal virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common
0 upgraded, 111 newly installed, 0 to remove and 24 not upgraded.
Need to get 66.8 MB of archives.
After this operation, 217 MB of additional disk space will be used.

Зачем ему пульсаудио? Нахрена он тянет за собой phonon? Это же файловый менеджер, а не Панель управления Windows. Куда ему столько зависимостей? no recommends особо не спасает. Разве что пульса не будет ставится.

Нахрена он тянет за собой phonon? Это же файловый менеджер, а не Панель управления Windows. Куда ему столько зависимостей?

Это файловый менеджер КДЕ, вот и тянет за собой кусочки кед.

J ★★★★ ()

Нахрена он тянет за собой phonon?

Он же проигрывать музыку умеет. Видимо, для этого.

emissar ★★ ()

Зачем ему пульсаудио? Нахрена он тянет за собой phonon? Это же файловый менеджер, а не Панель управления Windows.

Энжой ёр КДЕ. В тред торжественно приглашаются фанатики интеграции.

geekless ★★ ()
Ответ на: комментарий от geekless

В тред торжественно приглашаются фанатики интеграции.

Да нет, мы сначала хотим пригласить фанатиков бинарных дистрибутивов, да и тулкитофобов послушали бы. ;)

J ★★★★ ()
Ответ на: комментарий от Quadmonster

Добавь в /etc/apt/apt.conf

APT::Install-Recommends "0";
APT::Install-Suggests "0";
и повтори

Polugnom ★★★★★ ()
Ответ на: комментарий от Quadmonster

А совсем его можно выпилить?

Чем тебе это всё мешает? Мало места ставь мс.

J ★★★★ ()

Внезапно

Depends: kde-runtime, libc6 (>= 2.2.5), libkcmutils4 (>= 4:4.9), libkdecore5 (>= 4:4.9), libkdeui5 (>= 4:4.9),
         libkfile4 (>= 4:4.9), libkio5 (>= 4:4.9), libknewstuff3-4 (>= 4:4.9), libkonq5abi1 (>= 4:4.8.1), libkparts4
         (>= 4:4.9.3), libnepomuk4 (>= 4:4.9), libnepomukquery4a (>= 4:4.9), libphonon4 (>= 4:4.3.0), libplasma3 (>=
         4:4.9), libqt4-dbus (>= 4:4.5.3), libqt4-xml (>= 4:4.5.3), libqtcore4 (>= 4:4.8.0), libqtgui4 (>=
         4:4.7.0~beta2), libsolid4 (>= 4:4.9), libsoprano4 (>= 2.1.1), libstdc++6 (>= 4.1.1), libxrender1, phonon

Удивительно, да?

leave ★★★★★ ()
Ответ на: комментарий от geekless

Энжой ёр КДЕ. В тред торжественно приглашаются фанатики интеграции.

При чем здесь KDE? Это проблемы конкретного дистрибутива. дольфин можно установить и он будет работать и без всего этого шлака.

curufinwe ★★★★★ ()
Ответ на: комментарий от firestarter

Не нужно кому - тебе? Окей.
Оно никак не решает проблему кучи зависимостей, но оно решает мои задачи каждый день. А Дельфин... ну и хрен с ним.

Quadmonster ()
Ответ на: комментарий от curufinwe

При чем здесь KDE? Это проблемы конкретного дистрибутива. дольфин можно установить и он будет работать и без всего этого шлака.

Поковырявшись с use флагами? Ну да, только без всего этого шлака из него получится Thunar какой нибудь.

firestarter ★★★☆ ()
Ответ на: комментарий от Quadmonster

Оно никак не решает проблему кучи зависимостей, но оно решает мои задачи каждый день. А Дельфин... ну и хрен с ним.

А какое имеет отношение решение твоих проблем тайловым оконным менеджером к теме про Dolphin?

firestarter ★★★☆ ()
Ответ на: комментарий от Quadmonster

В генте можно было бы посто отключить ненужные use-флаги, а в убунте это не совсем тривиальная задача --- надо пересобрать пакет изменив ключи для configure и убрав из конфигов пакета ненужные зависимости.

Действительно, проще послать Дельфин, если не используешь кеды.

curufinwe ★★★★★ ()
Ответ на: комментарий от firestarter

И чего такого дает дольфину pulseaudio и phonon? Я например никакими связанными со звуком функциями никогда в дольфине не пользовался, хотя у меня всегда полные кеды установлены.

curufinwe ★★★★★ ()
Ответ на: комментарий от curufinwe

И чего такого дает дольфину pulseaudio и phonon? Я например никакими связанными со звуком функциями никогда в дольфине не пользовался, хотя у меня всегда полные кеды установлены.

Не знаю, я Dolphin тоже не использую, предпочитаю Krusader. Пульс Дельфину не нужен, этот пакет в рекомендациях, а не зависимостях, у меня пульс удалён. А фонон, от него наверное все кедопрограммы зависят. Звуковые уведомления, например. Мало ли для чего ещё файловый менеджер может использовать звуковой бакенд.

firestarter ★★★☆ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.